restinio::multipart_body::parsed_part_t Struct Reference

A description of parsed content of one part of a multipart body. More...

`#include <multipart_body.hpp>`

## Public Attributes

http_header_fields_t | fields
| HTTP-fields local for that part. More...
string_view_t | body
| The body of that part. More...

## Detailed Description

A description of parsed content of one part of a multipart body.

Since
  v.0.6.1

Definition at line 143 of file multipart_body.hpp.

## Member Data Documentation

## body

string_view_t restinio::multipart_body::parsed_part_t::body

The body of that part.

Definition at line 152 of file multipart_body.hpp.

## fields

http_header_fields_t restinio::multipart_body::parsed_part_t::fields

HTTP-fields local for that part.

Note
  It can be empty if no HTTP-fields are found for that part.

Definition at line 150 of file multipart_body.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/multipart_body.hpp